import { combineReducers } from "redux";
import ajaxStatusReducer from "./ajaxStatusReducer";
import serverReducer from "../../features/server/reducer";
import {
  sessionsReducer,
  forwardsReducer
} from "../../features/session/reducers";
import releaseNotesReducer from "../../features/releaseNotes/reducer";

const rootReducer = combineReducers({
  server: serverReducer,
  sessions: sessionsReducer,
  forwards: forwardsReducer,
  releaseNotes: releaseNotesReducer,
  ajaxCallsInProgress: ajaxStatusReducer
});

export default rootReducer;
